# == Private class: root::configuration
#
class root::configuration {

	File {
		owner => root,
		group => root,
		mode  => 600,
	}

	# Set .profile and bashrc files
	file { $root::profile_path:
		ensure  => present,
		content => template($root::profile_content),
	}

	file { $root::bashrc_path:
		ensure  => present,
		content => template($root::bashrc_content),
	}

} # Private class: root::configuration
